Using template_name variable in template causes error in Build Review
Assignee:    
Target version:    

Difficulty:  Fixed in Releases:  
Pull request:    

Description

I have a provisioning template that is reading in its own title and splitting the string to get a portion for use in the script. The code

works as expected, however I get a nasty error message when attempting to build.

Error Message:

The following errors may prevent a successful build: 

Templates

   Failure parsing ESXi55 Kickstart 1.4-7: undefined method `split' for nil:NilClass.

 The Culprit code:

Kickstart Version: <%= @template_name.split(' ')[-1] %>

 The split method works properly as here is the output:

Kickstart Version: 1.4-7

 I want to reiterate, the failure message does not actually prevent the build from completing, and the split does indeed work properly. 

I marked this issue as a "refactor" due to the false report that there is a "failure parsing"

Related issues:

Related to Foreman - Feature #746: Generate all the Host template when click ... Closed 03/15/2011

Related to Foreman - Feature #4672: Add possibility to render template name w... Closed 03/17/2014

Related to Foreman - Bug #9694: Usage of "osver" in templates give error when... New 03/10/2015

History

#1 - 05/01/2015 03:24 AM - Dominic Cleal

- Related to Feature #746: Generate all the Host template when click on Build to avoid errors during installation added

#2 - 05/01/2015 03:24 AM - Dominic Cleal

- Related to Feature #4672: Add possibility to render template name within a template added

#3 - 05/01/2015 03:24 AM - Dominic Cleal

- Tracker changed from Refactor to Bug

- Subject changed from using ruby split method in provisioning template reports "failure parsing" even though it actually succeeds to Using

template_name variable in template causes error in Build Review

- Category changed from Web Interface to Templates

- translation missing: en.field_release deleted (50)

#4 - 05/01/2015 03:25 AM - Dominic Cleal

- Related to Bug #9694: Usage of "osver" in templates give error when setting build mode. added
